JavaPlugin (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.api.plugins

## [Java] Class JavaPlugin

- org.gradle.api.plugins.JavaPlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class JavaPlugin
      extends Object

  A Plugin which compiles and tests Java source, and assembles it into a JAR file.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `CLASSES_TASK_NAME` |
    `static String` | `COMPILE_CLASSPATH_CONFIGURATION_NAME` |
    `static String` | `COMPILE_CONFIGURATION_NAME` |
    `static String` | `COMPILE_JAVA_TASK_NAME` |
    `static String` | `COMPILE_ONLY_CONFIGURATION_NAME` |
    `static String` | `COMPILE_TEST_JAVA_TASK_NAME` |
    `static String` | `JAR_TASK_NAME` |
    `static String` | `JAVADOC_TASK_NAME` |
    `static String` | `PROCESS_RESOURCES_TASK_NAME` |
    `static String` | `PROCESS_TEST_RESOURCES_TASK_NAME` |
    `static String` | `RUNTIME_CONFIGURATION_NAME` |
    `static String` | `TEST_CLASSES_TASK_NAME` |
    `static String` | `TEST_COMPILE_CLASSPATH_CONFIGURATION_NAME` |
    `static String` | `TEST_COMPILE_CONFIGURATION_NAME` |
    `static String` | `TEST_COMPILE_ONLY_CONFIGURATION_NAME` |
    `static String` | `TEST_RUNTIME_CONFIGURATION_NAME` |
    `static String` | `TEST_TASK_NAME` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String CLASSES_TASK_NAME

    - #### public static final String COMPILE_CLASSPATH_CONFIGURATION_NAME

    - #### public static final String COMPILE_CONFIGURATION_NAME

    - #### public static final String COMPILE_JAVA_TASK_NAME

    - #### public static final String COMPILE_ONLY_CONFIGURATION_NAME

    - #### public static final String COMPILE_TEST_JAVA_TASK_NAME

    - #### public static final String JAR_TASK_NAME

    - #### public static final String JAVADOC_TASK_NAME

    - #### public static final String PROCESS_RESOURCES_TASK_NAME

    - #### public static final String PROCESS_TEST_RESOURCES_TASK_NAME

    - #### public static final String RUNTIME_CONFIGURATION_NAME

    - #### public static final String TEST_CLASSES_TASK_NAME

    - #### public static final String TEST_COMPILE_CLASSPATH_CONFIGURATION_NAME

    - #### public static final String TEST_COMPILE_CONFIGURATION_NAME

    - #### public static final String TEST_COMPILE_ONLY_CONFIGURATION_NAME

    - #### public static final String TEST_RUNTIME_CONFIGURATION_NAME

    - #### public static final String TEST_TASK_NAME

  - ### Method Detail

    - #### public void apply(org.gradle.api.internal.project.ProjectInternal project)